%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-gtk2
Version:        2.24.7
Release:        1%{?dist}
Summary:        MinGW Windows Gtk2 library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gtk+/2.24/gtk+-%{version}.tar.xz

# wine %{_mingw32_bindir}/gtk-query-immodules-2.0.exe > gtk.immodules
Source1:        gtk.immodules

# Fix use of extended buttons in gtkstatusicon.
Patch1000:      mingw32-gtk2-2.15.0-xbuttons.patch

# Enable building a static library of GTK
Patch1001:      mingw32-gtk2-enable_static_build.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw32-atk >= 1.13.0
BuildRequires:  mingw32-cairo >= 1.8.0
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2 >= 2.17.7
%if 0%{?fedora} >= 16
BuildRequires:  mingw32-win-iconv
%else
BuildRequires:  mingw32-iconv
%endif
BuildRequires:  mingw32-pango >= 1.20.0
BuildRequires:  mingw32-gdk-pixbuf
BuildRequires:  mingw32-pixman
BuildRequires:  mingw32-zlib

BuildRequires:  pkgconfig

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarsjal
BuildRequires:  glib2-devel
# Native one for gtk-update-icon-cache
BuildRequires:  gtk2
# Native one for gdk-pixbuf-csource
BuildRequires:  gtk2-devel
# Packages needed for regenerating configure
BuildRequires:  gtk-doc
BuildRequires:  automake autoconf libtool

Requires:       pkgconfig


%description
MinGW Windows Gtk2 library.


%package static
Summary:        Static version of the MinGW Windows Gtk2 library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows Gtk2 library.


%{?_mingw32_debug_package}


%prep
%setup -q -n gtk+-%{version}

%patch1000 -p1
%patch1001 -p0


%build
# Need to run the correct version of glib-mkenums.
PATH=%{_mingw32_bindir}:$PATH

%{_mingw32_configure} --disable-cups --enable-static
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_mingw32_libdir}/charset.alias

# Remove manpages which duplicate those in Fedora native.
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}

# Remove documentation too.
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

# The .def files are only used while compiling the libraries themselves
# (they contain a list of functions which need to be exported by the linker)
# so they serve no purpose for other libraries and applications
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk-win32-2.0.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gtk-win32-2.0.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gailutil.def

# Install the gtk.immodules file
mkdir -p $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/gtk-2.0/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/gtk-2.0/

%find_lang %{name} --all-name


%files -f %{name}.lang
%doc COPYING
%{_mingw32_datadir}/themes/*
%{_mingw32_bindir}/gtk-builder-convert
%{_mingw32_bindir}/gtk-demo.exe
%{_mingw32_bindir}/gtk-query-immodules-2.0.exe
%{_mingw32_bindir}/gtk-update-icon-cache.exe
%{_mingw32_bindir}/gtk-update-icon-cache.exe.manifest
%{_mingw32_bindir}/libgailutil-18.dll
%{_mingw32_bindir}/libgdk-win32-2.0-0.dll
%{_mingw32_bindir}/libgtk-win32-2.0-0.dll
%dir %{_mingw32_libdir}/gtk-2.0
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0/engines
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.la
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0/immodules
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.la
%{_mingw32_libdir}/gtk-2.0/include/
%dir %{_mingw32_libdir}/gtk-2.0/modules
%{_mingw32_libdir}/gtk-2.0/modules/libgail.dll
%{_mingw32_libdir}/gtk-2.0/modules/libgail.dll.a
%{_mingw32_libdir}/gtk-2.0/modules/libgail.la
%{_mingw32_libdir}/libgailutil.dll.a
%{_mingw32_libdir}/libgailutil.la
%{_mingw32_libdir}/libgdk-win32-2.0.dll.a
%{_mingw32_libdir}/libgdk-win32-2.0.la
%{_mingw32_libdir}/libgtk-win32-2.0.dll.a
%{_mingw32_libdir}/libgtk-win32-2.0.la
%{_mingw32_libdir}/pkgconfig/gail.pc
%{_mingw32_libdir}/pkgconfig/gdk-2.0.pc
%{_mingw32_libdir}/pkgconfig/gdk-win32-2.0.pc
%{_mingw32_libdir}/pkgconfig/gtk+-2.0.pc
%{_mingw32_libdir}/pkgconfig/gtk+-win32-2.0.pc
%{_mingw32_includedir}/gtk-2.0/
%{_mingw32_includedir}/gail-1.0/
%{_mingw32_sysconfdir}/gtk-2.0/
%{_mingw32_datadir}/aclocal/gtk-2.0.m4
%{_mingw32_datadir}/gtk-2.0/

%files static
%{_mingw32_libdir}/libgailutil.a
%{_mingw32_libdir}/libgdk-win32-2.0.a
%{_mingw32_libdir}/libgtk-win32-2.0.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.a
%{_mingw32_libdir}/gtk-2.0/modules/libgail.a


%changelog
* Tue Oct 18 2011 Kalev Lember <kalevlember@gmail.com> - 2.24.7-1
- Update to 2.24.7
- Switch to .xz tarballs

* Sun Jul 10 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.24.5-1
- Update to 2.24.5

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 2.24.4-2
- Rebuilt against win-iconv

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.24.4-1
- Update to 2.24.4
- Dropped the proxy-libintl pieces

* Sun Feb 13 2011 Thomas Sailer <sailer@fedoraproject.org> - 2.24.0-1
- update to 2.24.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-2
- Rebuild in order to have soft dependency on libintl

* Thu Sep 23 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-1
- Update to 2.22.0

* Fri Sep 17 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.8-1
- Update to 2.21.8
- Fixed a small rpmlint warning

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.7-1
- Update to 2.21.7
- Dropped upstreamed WIMP theme patch
- Moved all gdk-pixbuf bits to a seperate package as upstream has separated it
- Added BR: mingw32-gdk-pixbuf

* Sun Jul  4 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.20.1-2
- Re-enable the WIMP theme now that upstream has provided a fix for it (RHBZ #608911, GNOME BZ #598299)
- Rebuild against libpng 1.4.3

* Fri Jun 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.20.1-1
- Update to 2.20.1

* Wed Feb 24 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.19.6-1
- Update to 2.19.6

* Tue Feb  2 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.19.4-1
- Update to 2.19.4

* Wed Dec  2 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.19.1-1
- Update to 2.19.1
- Dropped the autoreconf call

* Sun Nov 29 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.19.0-1
- Update to 2.19.0
- Added BR: gtk-doc

* Sat Oct 17 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.18.3-1
- Update to 2.18.3
- Drop upstreamed patch (GNOME BZ #597535)
- Re-enable GDI+ support as it's fixed upstream (GNOME BZ #552678)
- This release contains a workaround for a rendering bug which got
  introduced during the CSW merge (GNOME BZ #598299)

* Tue Oct  6 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.18.2-1
- Update to 2.18.2

* Thu Oct  1 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.18.1-1
- Update to 2.18.1

* Wed Sep 23 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.18.0-1
- Update to 2.18.0
- Drop upstreamed patch

* Sun Sep 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.11-3
- Use relative paths instead of absolute paths in the gdk-pixbuf.loaders file
- Added the gtk.immodules file (BZ #522957)

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.11-2
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Sat Sep  5 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.11-1
- Update to 2.17.11

* Tue Sep  1 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.10-1
- Update to 2.17.10

* Tue Aug 27 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.9-1
- Update to 2.17.9
- Rebuild against mingw32-libjpeg 7

* Tue Aug 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.8-1
- Update to 2.17.8

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.7-1
- Update to 2.17.7
- Automatically generate debuginfo subpackage
- Add --with-libjasper to the ./configure command

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.17.1-1
- Update to 2.17.1
- Use %%global instead of %%define
- The -static subpackage was missing a Group: declaration
- Drop upstreamed patch
- Add BR: mingw32-libtiff
- Updated the gdk-pixbuf.loaders file for libtiff support

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.1-2
- don't open double browser windows from about dialogs
  (patch is from the native gtk2 package)

* Sat Apr 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.1-1
- Update to 2.16.1

* Fri Mar 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.5-2
- Force build against latest mingw32-filesystem.

* Sun Mar 8 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.15.5-1
- Update to 2.15.5
- Disable gdiplus support for now because of GNOME BZ#552678
- Use the ./configure flag --without-libtiff until mingw32-libtiff is packaged
- Fixed the %%defattr line
- Dropped the .def files as they aren't used anymore after compilation
- Added -static subpackage

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-3
- Remove documentation.
- Add license file.
- Added extra BRs suggested by auto-buildrequires.

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-2
- Requires pkgconfig.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-1
- Rebase to Fedora native version 2.15.0.
- Disable static libraries.
- Use _smp_mflags.
- Use find_lang macro.

* Mon Oct 27 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.4-3
- Remove preun script, no longer used.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.4-1
- New upstream version 2.14.4.
- Require cairo >= 1.8.0 because of important fixes.
- Remove a couple of patches which are now upstream.

* Fri Oct 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.2-3
- Remove the requirement for Wine at build or install time.
- Conflicts with (native) cups-devel.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.2-2
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.2-1
- Update to 2.14.2 release

* Sun Sep 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-5
- Remove manpages duplicating those in Fedora native packages.

* Thu Sep 11 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.0-4
- Added dep on pkgconfig, gettext and glib2 (native)

* Thu Sep 11 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-3
- post/preun scripts to update the gdk-pixbuf.loaders list.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-2
- Jasper DLLs now fixed.
- Fix source URL.
- Run the correct glib-mkenums.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.0-1
- Initial RPM release
